Bug 1026478 - crash when moving files
crash when moving files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 13:29 EST by Jozef Mlich
Modified: 2015-08-02 19:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-30 04:15:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Mlich 2013-11-04 13:29:55 EST
Description of problem:
Midnight commander is crashing while moving files.

#0  label_set_text (label=0x0, text=text@entry=0x7fffffffd790 "Files processed: 0") at label.c:165
#1  0x000000000042b42e in file_progress_show_count (ctx=ctx@entry=0x9da0d0, done=done@entry=0, total=<optimized out>) at filegui.c:937
#2  0x000000000042755c in erase_dir_iff_empty (ctx=ctx@entry=0x9da0d0, vpath=vpath@entry=0x9d9a80, count=0) at file.c:1169
#3  0x0000000000428453 in move_dir_dir (tctx=0x9da920, ctx=0x9da0d0, s=<optimized out>, d=<optimized out>) at file.c:2401
#4  0x0000000000429d1e in panel_operate (source_panel=<optimized out>, operation=operation@entry=OP_MOVE, 
    force_single=force_single@entry=0) at file.c:3015
#5  0x000000000041b5af in rename_cmd () at cmd.c:900
#6  0x00000000004429f5 in midnight_execute_cmd (sender=0x9af380, command=22) at midnight.c:1306
#7  0x00000000004196aa in buttonbar_callback (w=0x9af380, sender=<optimized out>, msg=<optimized out>, parm=<optimized out>, 
    data=<optimized out>) at buttonbar.c:174
#8  0x0000000000421040 in send_message (data=0x0, parm=1006, msg=MSG_HOTKEY, sender=0x0, w=<optimized out>)
    at ../../lib/widget/widget-common.h:162
#9  dlg_try_hotkey (d_key=1006, h=0x99eb50) at dialog.c:463
#10 dlg_key_event (d_key=1006, h=0x99eb50) at dialog.c:508
#11 dlg_process_event (h=h@entry=0x99eb50, key=1006, event=event@entry=0x7fffffffe170) at dialog.c:1221
#12 0x00000000004212b2 in frontend_dlg_run (h=0x99eb50) at dialog.c:567
#13 dlg_run (h=0x99eb50) at dialog.c:1252
#14 0x0000000000443e85 in create_panels_and_run_mc () at midnight.c:959
#15 do_nc () at midnight.c:1774
#16 0x00000000004105de in main (argc=1, argv=0x7fffffffe418) at main.c:397
A debugging session is active.

	Inferior 1 [process 6845] will be killed.



Version-Release number of selected component (if applicable):
Version     : 4.8.10
Release     : 2.fc20


How reproducible:
don't know. I was trying to move files from  /storage/Documents (/dev/sda ext4) to /home/user/Documents (/dev/sdb1 ext4).



Actual results:
crash

Expected results:


Additional info:
Comment 1 Michał Piotrowski 2013-12-26 17:55:30 EST
Hi,

I think that I'm hitting the same problem. While moving files, after a while I'm getting segfault

[29287.879245] mc[19592]: segfault at 40 ip 000000000042f740 sp 00007fff024bc6b8 error 4 in mc[400000+10d000]

mc-4.8.10-2.fc20.x86_64

Best regards,
Michal
Comment 2 Michał Piotrowski 2013-12-29 13:33:16 EST
mc-4.8.11-1.fc20.x86_64 update probably fixed this issue.
Comment 3 Fedora End Of Life 2015-05-29 05:41:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jozef Mlich 2015-05-30 04:15:11 EDT
I am not able to reproduce bug anymore, so I am closing the bug as fixed. Thanks Michal.

Note You need to log in before you can comment on or make changes to this bug.